# StoreKeys

### Description

Stores license keys on the end user system.

```csharp
void StoreKeys (string activationKey, string computerKey)
```

### Arguments

| Name          | Data Type | Description                     |
| ------------- | :-------: | ------------------------------- |
| activationKey |   string  | the activation key to store     |
| computerKey   |   string  | the computer-bound key to store |

### Remarks

To read keys, use the [ReadKeys ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/readkeys.md)API. To clear the stored keys, use the [DeleteKeysEx ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/deletekeys.md)API.

QLM tries to store the keys in two locations: one location at the user level and another folder at the machine level. The StoreKeysOptions property controls where the keys are stored.

The [StoreKeysLocation ](/docs/api-reference/.net-api/qlmlicense/enums/estorekeysto.md)property controls whether keys are stored in the registry or on the file system.

In the Registry, data is stored in:

* HKEY\_CURRENT\_USER\Software\Classes\<GUID>
* HKEY\_LOCAL\_MACHINE\Software\Classes\<GUID>

On the file system, data is stored in these folders:

* C:\ProgramData\IsolatedStorage\<GUID>
* C:\Users\<user>\AppData\Local\IsolatedStorage\<GUID>

Example on Windows 10:

* C:\ProgramData\IsolatedStorage\1zy03lmk.jql\epxur3qn.na0\StrongName.gziza0ait44cgjtqq2fgdpi3yp0idvio\AssemFiles

is a unique identifier associated with your product (see the Define Products page in the QLM Management Console).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/storekeys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
